<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'dataExchange.export.title.' + exchangeIndex | translate }}
</h1>
<p class="mb-4">
	{{ 'dataExchange.export.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-eye" onReady></i>
	<p onError>
		{{ 'dataExchange.export.pageActions.error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'dataExchange.export.pageActions.instruction' | translate }}
	</p>

	<ng-container onReady [ngTemplateOutlet]="exportButton"></ng-container>
	<ng-container onError *ngIf="pageActionsComponent.hasErrorFeedback" [ngTemplateOutlet]="exportButton"></ng-container>
	<ng-template #exportButton>
		<button (click)="export()" class="btn btn-primary" type="button">
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'dataExchange.export.pageActions.export' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'dataExchange.export.pageActions.inProgress' | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle text-success" onComplete></i>
	<p onComplete>
		{{ 'dataExchange.export.pageActions.complete' | translate }}
		{{ 'dataExchange.export.pageActions.goTo.' + exchangeIndex | translate }}
	</p>
	<button (click)="export()" class="btn btn-link" onComplete type="button">
		{{ 'dataExchange.export.pageActions.export' | translate }}
	</button>
	<button *ngIf="!hideNextButton" class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>

<div *ngIf="isComplete" class="mt-4 mb-4">
	<img [src]="importToExportLaptop()" alt="Export and import" class="w-50 mx-auto d-block">
</div>

<div class="card mb-5">
	<div class="card-header">
		{{ 'dataExchange.exportInfo.title' | translate }}
	</div>
	<div class="card-body">
		<sdm-export-information [exchangeIndex]="exchangeIndex"></sdm-export-information>
	</div>
</div>